Subject: Re: PATCH: ethtool power manglement hooks

From: Jeff Garzik <[email-masked]>
Date: Tue, 08 Jun 2004 14:02:43 -0400

Alan Cox wrote:
> Several ethernet drivers have been broken by the ethtool support because
> the ioctl code used to power the interface up and down as needed. Rather

To be more specific, the new ethtool_ops feature bypasses code in net 
drivers which did one of two things:
* power up the hardware, perform the ioctl, and power down the hardware
	or
* fail if netif_running() is false, indicating the driver's requirement 
that MII and ethtool operations only occur when the interface is up 
(thereby ignoring the power management issues)

Also, CC net driver patches to me and netdev, pretty please with sugar 
on it.

	Jeff